import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/pages/invited_friends/models/invite_friend_data_model.dart';
import 'package:zhiying_base_widget/template/invited_friend_template/invited_friend_template.dart';

class InvitedFriendTemplateCreater {
  static Widget create(
      InvitedFriendsPosterDataModel model, GlobalKey contentKey) {
    // 根据type，返回对应的模板，当前只有一个模板
    if (model.type == '0') {
      return InvitedFriendTemplate(
        model,
        contentKey: contentKey,
      );
    } else {
      return InvitedFriendTemplate(
        model,
        contentKey: contentKey,
      );
    }
  }
}
